Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.native2ascii
Class Native2AsciiAdapterFactory

    java.lang.Object
      |
      +--org.apache.tools.ant.taskdefs.optional.native2ascii.Native2AsciiAdapterFactory

public class Native2AsciiAdapterFactory
extends java.lang.Object

Creates the Native2AsciiAdapter based on the user choice and potentially the VM vendor.

Since:
  Ant 1.6.3

Constructor Summary
`Native2AsciiAdapterFactory()`

Method Summary
`static Native2AsciiAdapter` | `getAdapter(java.lang.String choice, ProjectComponent log)` Creates the Native2AsciiAdapter based on the user choice and * potentially the VM vendor.
`static java.lang.String` | `getDefault()` Determines the default choice of adapter based on the VM vendor.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Native2AsciiAdapterFactory

    public Native2AsciiAdapterFactory()

Method Detail

### getDefault

    public static java.lang.String getDefault()

  Determines the default choice of adapter based on the VM vendor.

  Returns:
    the default choice of adapter based on the VM vendor

### getAdapter

    public static Native2AsciiAdapter getAdapter(java.lang.String choice,
                                                 ProjectComponent log)
                                          throws BuildException

  Creates the Native2AsciiAdapter based on the user choice and * potentially the VM vendor.

  Parameters:
    `choice` - the user choice (if any).
    `log` - a ProjectComponent instance used to access Ant's logging system.
  Returns:
    The adapter to use.
    `BuildException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.